## qt6-webengine 6.6.3

=== pdf/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.19)
find_package(Ninja 1.7.2 REQUIRED)
find_package(Nodejs 14.19 REQUIRED)
find_package(PkgConfig)
if(PkgConfig_FOUND)
    create_pkg_config_host_wrapper(${CMAKE_CURRENT_BINARY_DIR})
endif()

set(buildDir "${CMAKE_CURRENT_BINARY_DIR}")

##
#  PDF MODULE
##

qt_internal_add_module(Pdf
    SOURCES
        qpdfbookmarkmodel.cpp qpdfbookmarkmodel.h
        qpdfdocument.cpp qpdfdocument.h qpdfdocument_p.h
        qpdfdocumentrenderoptions.h
        qpdffile.cpp qpdffile_p.h
        qpdflink.cpp qpdflink.h qpdflink_p.h
        qpdflinkmodel.cpp qpdflinkmodel.h qpdflinkmodel_p.h
        qpdfpagenavigator.cpp qpdfpagenavigator.h
        qpdfpagerenderer.cpp qpdfpagerenderer.h
        qpdfsearchmodel.cpp qpdfsearchmodel.h qpdfsearchmodel_p.h
        qpdfselection.cpp qpdfselection.h qpdfselection_p.h
        qtpdfglobal.h
    INCLUDE_DIRECTORIES
        ../3rdparty/chromium
    DEFINES
        QT_BUILD_PDF_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
    GENERATE_CPP_EXPORTS
    GENERATE_PRIVATE_CPP_EXPORTS
)

add_subdirectory(plugins/imageformats/pdf)

get_install_config(config)
get_architectures(archs)
list(GET archs 0 arch)

##
#  PDF DOCS
##

qt_internal_add_docs(Pdf
    doc/qtpdf.qdocconf
)

add_code_attributions_target(
    TARGET generate_pdf_attributions
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/pdf_attributions.qdoc
    GN_TARGET :QtPdf
    FILE_TEMPLATE doc/about_credits.tmpl
    ENTRY_TEMPLATE doc/about_credits_entry.tmpl
    BUILDDIR ${buildDir}/${config}/${arch}
)
add_dependencies(generate_pdf_attributions run_pdf_GnDone)
add_dependencies(prepare_docs_Pdf generate_pdf_attributions)

##
#   TOOLCHAIN SETUP
##

if(LINUX OR MINGW)
    setup_toolchains()
endif()

##
#   GN BUILD SETUP
##

addSyncTargets(pdf)

get_configs(configs)
get_architectures(archs)
foreach(arch ${archs})
    foreach(config ${configs})

        ##
        #   BULID.gn SETUP
        ##

        set(buildGn pdf_${config}_${arch})
        add_gn_target(${buildGn} ${config} ${arch}
            SOURCES DEFINES CXX_COMPILE_OPTIONS C_COMPILE_OPTIONS
            INCLUDES MOC_PATH PNG_INCLUDES JPEG_INCLUDES HARFBUZZ_INCLUDES
            FREETYPE_INCLUDES ZLIB_INCLUDES
        )
        resolve_target_includes(gnIncludes Pdf)
        get_forward_declaration_macro(forwardDeclarationMacro)

        extend_gn_target(${buildGn}
            INCLUDES
                ${gnIncludes}
        )

        ##
        #  GN PARAMETERS
        ##

        unset(gnArgArg)
        append_build_type_setup(gnArgArg)
        append_compiler_linker_sdk_setup(gnArgArg)
        append_sanitizer_setup(gnArgArg)
        append_toolchain_setup(gnArgArg)
        append_pkg_config_setup(gnArgArg)

        list(APPEND gnArgArg
          qtwebengine_target="${buildDir}/${config}/${arch}:QtPdf"
          qt_libpng_config="${buildDir}/${config}/${arch}:qt_libpng_config"
          qt_libjpeg_config="${buildDir}/${config}/${arch}:qt_libjpeg_config"
          qt_harfbuzz_config="${buildDir}/${config}/${arch}:qt_harfbuzz_config"
          qt_freetype_config="${buildDir}/${config}/${arch}:qt_freetype_config"
          enable_swiftshader=false
          enable_swiftshader_vulkan=false
          angle_enable_swiftshader=false
          dawn_use_swiftshader=false
          use_dawn=false
          enable_ipc_fuzzer=false
          enable_remoting=false
          enable_resource_allowlist_generation=false
          enable_web_speech=false
          chrome_pgo_phase=0
          strip_absolute_paths_from_debug_symbols=false
        )

        if(LINUX OR ANDROID)
            list(APPEND gnArgArg
                is_cfi=false
                ozone_auto_platforms=false
                use_gnome_keyring=false
                enable_vr=false
                use_ml_inliner=false
            )
            extend_gn_list(gnArgArg
                ARGS use_system_icu
                CONDITION QT_FEATURE_webengine_system_icu
            )
            extend_gn_list(gnArgArg
                ARGS use_system_libopenjpeg2
                CONDITION QT_FEATURE_webengine_system_libopenjpeg2
            )
        endif()
        if(MACOS)
            list(APPEND gnArgArg angle_enable_vulkan=false)
        endif()
        if(IOS)
            extend_gn_list(gnArgArg
                ARGS enable_ios_bitcode
                CONDITION QT_FEATURE_pdf_bitcode
            )
        endif()
        if(WIN32)
          list(APPEND gnArgArg
              ninja_use_custom_environment_files=false
              safe_browsing_mode=0
          )
          extend_gn_list(gnArgArg
              ARGS qt_uses_static_runtime
              CONDITION QT_FEATURE_pdf_static_runtime
          )
        endif()

        extend_gn_list(gnArgArg
            ARGS pdf_enable_v8
            CONDITION QT_FEATURE_pdf_v8
        )
        extend_gn_list(gnArgArg
            ARGS pdf_enable_xfa
            CONDITION QT_FEATURE_pdf_xfa
        )
        extend_gn_list(gnArgArg
            ARGS pdf_enable_xfa_bmp
            CONDITION QT_FEATURE_pdf_xfa_bmp
        )
        extend_gn_list(gnArgArg
            ARGS pdf_enable_xfa_gif
            CONDITION QT_FEATURE_pdf_xfa_gif
        )
        extend_gn_list(gnArgArg
            ARGS pdf_enable_xfa_png
            CONDITION QT_FEATURE_pdf_xfa_png
        )
        extend_gn_list(gnArgArg
            ARGS pdf_enable_xfa_tiff
            CONDITION QT_FEATURE_pdf_xfa_tiff
        )
        extend_gn_list(gnArgArg
            ARGS pdfium_use_system_zlib use_system_zlib
            CONDITION QT_FEATURE_webengine_system_zlib
        )
        extend_gn_list(gnArgArg
            ARGS pdfium_use_system_libpng use_system_libpng
            CONDITION QT_FEATURE_webengine_system_libpng
        )
        extend_gn_list(gnArgArg
            ARGS pdfium_use_qt_libpng
            CONDITION QT_FEATURE_webengine_qt_libpng
        )
        extend_gn_list(gnArgArg
            ARGS pdfium_use_system_libtiff
            CONDITION QT_FEATURE_webengine_system_libtiff
        )
        extend_gn_list(gnArgArg
            ARGS use_qt_libjpeg
            CONDITION QT_FEATURE_webengine_qt_libjpeg
        )
        extend_gn_list(gnArgArg
            ARGS use_qt_harfbuzz
            CONDITION QT_FEATURE_webengine_qt_harfbuzz
        )
        extend_gn_list(gnArgArg
            ARGS use_qt_freetype
            CONDITION QT_FEATURE_webengine_qt_freetype
        )

        add_gn_command(
            CMAKE_TARGET Pdf
            NINJA_TARGETS QtPdf
            GN_TARGET ${buildGn}
            GN_ARGS ${gnArgArg}
            BUILDDIR ${buildDir}/${config}/${arch}
            MODULE pdf
        )

    endforeach()
    create_cxx_configs(Pdf ${arch})
endforeach()


##
#  PDF SETUP
##

get_architectures(archs)
list(GET archs 0 arch)
target_include_directories(Pdf PRIVATE ${buildDir}/$<CONFIG>/${arch}/gen)
add_gn_build_artifacts_to_target(
    CMAKE_TARGET Pdf
    NINJA_TARGET QtPdf
    MODULE pdf
    BUILDDIR ${buildDir}
    COMPLETE_STATIC TRUE
    NINJA_STAMP QtPdf.stamp
)
add_dependencies(Pdf run_pdf_NinjaDone)

=== auto/core/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qwebenginecookiestore)
add_subdirectory(qwebengineloadinginfo)
add_subdirectory(qwebenginesettings)
if(QT_FEATURE_ssl)
    # only tests doh, and requires ssl
    add_subdirectory(qwebengineglobalsettings)
endif()
add_subdirectory(qwebengineurlrequestinterceptor)
add_subdirectory(qwebengineurlrequestjob)
add_subdirectory(origins)
add_subdirectory(devtools)
add_subdirectory(getdomainandregistry)
add_subdirectory(qtversion)

if(QT_FEATURE_ssl)
    add_subdirectory(qwebengineclientcertificatestore)
    add_subdirectory(certificateerror)
endif()

=== auto/httpserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.18)
project(minimal LANGUAGES CXX)

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Network)

include(httpserver.cmake)

=== manual/widgets/CMakeLists.txt ===
add_subdirectory(inputmethods)
add_subdirectory(geolocation)
add_subdirectory(touchbrowser)
add_subdirectory(webgl)

=== auto/core/getdomainandregistry/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

include(../../util/util.cmake)

qt_internal_add_test(tst_getdomainandregistry
    SOURCES
        tst_getdomainandregistry.cpp
    LIBRARIES
        Qt::WebEngineCore
        Test::Util
)

=== auto/core/qwebengineglobalsettings/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(../../httpserver/httpserver.cmake)
include(../../util/util.cmake)

qt_internal_add_test(tst_qwebengineglobalsettings
    SOURCES
        tst_qwebengineglobalsettings.cpp
    LIBRARIES
        Qt::WebEngineCore
        Test::HttpServer
        Qt::WebEngineWidgets
        Test::Util
)

# Resources:
set(tst_qwebengineglobalsettings_resource_files
    "cert/localhost.crt"
    "cert/localhost.key"
    "cert/RootCA.pem"
)

qt_add_resources(tst_qwebengineglobalsettings "tst_qwebengineglobalsettings"
    PREFIX
        "/"
    FILES
        ${tst_qwebengineglobalsettings_resource_files}
)

=== auto/pdf/qpdfsearchmodel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qpdfsearchmodel
    SOURCES
        tst_qpdfsearchmodel.cpp
    LIBRARIES
        Qt::Gui
        Qt::Network
        Qt::Pdf
    TESTDATA
        test.pdf
)

=== auto/quick/qmltests/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(../../httpserver/httpserver.cmake)
include(../../util/util.cmake)

qt_internal_add_test(tst_qmltests
    SOURCES
        tst_qmltests.cpp
    LIBRARIES
        Qt::GuiPrivate
        Qt::QuickTest
        Qt::TestPrivate
        Qt::WebEngineQuick
        Test::HttpServer
        Test::Util
)

set(testList
    tst_action.qml
    tst_activeFocusOnPress.qml
    tst_audioMuted.qml
    tst_contextMenu.qml
    tst_basicProfiles.qml
    tst_datalist.qml
    tst_desktopBehaviorLoadHtml.qml
    tst_download.qml
    tst_dragHandlerUnderView.qml
    tst_favicon.qml
    tst_faviconDatabase.qml
    tst_filePicker.qml
    tst_filesystem.qml
    tst_findText.qml
    tst_focusOnNavigation.qml
    tst_fullScreenRequest.qml
    tst_getUserMedia.qml
    tst_inputMethod.qml
    tst_inputTextDirection.qml
    tst_javaScriptDialogs.qml
    tst_keyboardEvents.qml
    tst_keyboardModifierMapping.qml
    tst_linkHovered.qml
    tst_loadFail.qml
    tst_loadHtml.qml
    tst_loadProgress.qml
    tst_loadRecursionCrash.qml
    tst_loadUrl.qml
    tst_mouseClick.qml
    tst_mouseMove.qml
    tst_navigationHistory.qml
    tst_navigationRequested.qml
    tst_newViewRequest.qml
    tst_notification.qml
    tst_properties.qml
    tst_runJavaScript.qml
    tst_scrollPosition.qml
    tst_settings.qml
    tst_titleChanged.qml
    tst_unhandledKeyEventPropagation.qml
    tst_userScripts.qml
    tst_userScriptCollection.qml
    tst_viewSource.qml
    tst_save.qml
)

if(QT_FEATURE_webengine_webchannel)
    list(APPEND testList tst_webchannel.qml)
endif()

if(QT_FEATURE_ssl)
    list(APPEND testList tst_certificateError.qml)
endif()

if (NOT APPLE)
   list(APPEND testList tst_geopermission.qml)
endif()

set(content "")
foreach(test ${testList})
   set(contents "${contents}${CMAKE_CURRENT_LIST_DIR}/data/${test}\n")
endforeach()
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/webengine.qmltests ${contents})

set(tst_qmltests_resource_files
    "resources/server.pem"
    "resources/server.key"
)

qt_internal_add_resource(tst_qmltests "tst_qmltests"
    PREFIX
       "/"
    FILES
       ${tst_qmltests_resource_files}
)

=== auto/widgets/printing/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(../../util/util.cmake)

find_package(PkgConfig)
if(PkgConfig_FOUND)
    pkg_check_modules(POPPLER_CPP poppler-cpp IMPORTED_TARGET)
endif()

qt_internal_add_test(tst_printing
    SOURCES
        tst_printing.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::WebEngineWidgets
        Qt::WebEngineCorePrivate
        Test::Util
)

qt_internal_extend_target(tst_printing
    CONDITION POPPLER_CPP_FOUND AND QT_FEATURE_webengine_system_poppler
    LIBRARIES
        PkgConfig::POPPLER_CPP
)

set(tst_printing_resource_files
    "resources/basic_printing_page.html"
)

qt_internal_add_resource(tst_printing "tst_printing"
    PREFIX "/"
    FILES ${tst_printing_resource_files}
)

=== auto/widgets/qtbug_110287/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

qt_internal_add_test(tst_qtbug_110287
    SOURCES
        tst_qtbug_110287.cpp
    LIBRARIES
        Qt::Network
        Qt::WebEngineWidgets
)
target_link_options(tst_qtbug_110287 PRIVATE "-Wl,--as-needed")

=== auto/widgets/qwebenginepage/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(../../httpserver/httpserver.cmake)
include(../../util/util.cmake)

qt_internal_add_test(tst_qwebenginepage
    SOURCES
        tst_qwebenginepage.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
        Qt::WebEngineCorePrivate
        Qt::WebEngineWidgets
        Test::HttpServer
        Test::Util
)

get_target_property(sharedData Test::HttpServer SHARED_DATA)

set(tst_qwebenginepage_resource_files
    "resources/redirect.html"
    "resources/bar.txt"
    "resources/content.html"
    "resources/dynamicFrame.html"
    "resources/foo.txt"
    "resources/frame_a.html"
    "resources/frame_c.html"
    "resources/framedindex.html"
    "resources/fullscreen.html"
    "resources/iframe.html"
    "resources/iframe2.html"
    "resources/iframe3.html"
    "resources/image.png"
    "resources/index.html"
    "resources/lifecycle.html"
    "resources/pasteimage.html"
    "resources/path with spaces.txt"
    "resources/reload.html"
    "resources/script.html"
    "resources/style.css"
    "resources/test1.html"
    "resources/test2.html"
    "resources/testiframe.html"
    "resources/testiframe2.html"
    "resources/user.css"
)

qt_internal_add_resource(tst_qwebenginepage "tst_qwebenginepage"
    PREFIX
        "/"
    FILES
        ${tst_qwebenginepage_resource_files}
)
set_source_files_properties("${sharedData}/notification.html"
    PROPERTIES QT_RESOURCE_ALIAS "notification.html"
)
set(tst_qwebenginepage1_resource_files
    "${sharedData}/notification.html"
)

qt_internal_add_resource(tst_qwebenginepage "tst_qwebenginepage1"
    PREFIX
        "/shared"
    FILES
        ${tst_qwebenginepage1_resource_files}
)

=== manual/widgets/touchbrowser/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.19)
    project(touchbrowser LANGUAGES CXX)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_AUTORCC ON)
set(TOUCHMOCKING_DIR "../../touchmocking")

include_directories(${TOUCHMOCKING_DIR})
add_definitions(-DWIDGET_TOUCHBROWSER)

qt_internal_add_manual_test(touchbrowser-widget
    GUI
    SOURCES
        main.cpp
        resources.qrc
        ${TOUCHMOCKING_DIR}/touchmockingapplication.cpp
        ${TOUCHMOCKING_DIR}/touchmockingapplication.h
        ${TOUCHMOCKING_DIR}/utils.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WebEngineWidgets
    ENABLE_AUTOGEN_TOOLS
        moc
)

=== debian/changelog ===
qt6-webengine (6.6.3-0deepin4) unstable; urgency=medium

  * Fix up public header before build.
  * Re-enable LTO on !riscv64. Previously, disabled LTO due to compiler flag
    incompatibility (-ffat-lto-objects) on riscv64, as it uses Clang to
    work around a bug in GCC. This change is not needed for other
    architectures, so make this change specific to riscv64.
  * Mark libqt6webengine6-data as any, as it contains architecture-specific
    v8_context_snapshot.bin.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 27 May 2024 14:35:39 +0800

qt6-webengine (6.6.3-0deepin3) unstable; urgency=medium

  * fix: add riscv64 support

 -- Chang Yang <yangchang@deepin.org>  Fri, 12 Apr 2024 17:02:16 +0800

qt6-webengine (6.6.3-0deepin2) unstable; urgency=medium

  * fix: add loong64 support

 -- Chang Yang <yangchang@deepin.org>  Fri, 12 Apr 2024 11:39:59 +0800

qt6-webengine (6.6.3-0deepin1) unstable; urgency=medium

  * fix: disable lto to fix segfault
  * fix: update symbols

 -- Chang Yang <yangchang@deepin.org>  Thu, 11 Apr 2024 14:57:03 +0800

qt6-webengine (6.6.3-0deepin0) unstable; urgency=medium

  * upgrade version to 6.6.3

 -- Chang Yang <yangchang@deepin.org>  Wed, 10 Apr 2024 10:27:43 +0800

qt6-webengine (6.6.1+dfsg-2deepin1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch from Gentoo to fix build with ICU 74.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 08 Mar 2024 17:45:13 +0800

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: binutils (>= 2.32-8~),
               bison,
               clang-17 [riscv64],
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               flex,
               gperf,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               nodejs,
               pkg-config,
               pkg-kde-tools,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-declarative-dev (>= 6.6.1+dfsg~),
               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
               qt6-documentation-tools (>= 6.6~) <!nodoc>,
               qt6-positioning-dev (>= 6.6.1~),
               qt6-tools-dev (>= 6.6.1~),
               qt6-webchannel-dev (>= 6.6.1~),
               qt6-websockets-dev (>= 6.6.1~),
               re2c,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Provides: qt6-webengine-private-abi (= 6.6.1),
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: qml6-module-qtquick (>= 6.6.1+dfsg~),
         qml6-module-qtquick-controls (>= 6.6.1+dfsg~),
         qml6-module-qtquick-shapes (>= 6.6.1+dfsg~),
         qml6-module-qtquick-templates (>= 6.6.1+dfsg~),
         qml6-module-qtquick-window (>= 6.6.1+dfsg~),
         qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6webenginequickdelegatesqml6
Replaces: libqt6webenginequickdelegatesqml6
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Section: libdevel
Depends: libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine-dev-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-pdf-dev (= ${binary:Version}),
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386 riscv64 loong64
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the private development files needed to build Qt 6
 applications using Qt WebEngine libraries.
 .
 Use at your own risk.

Package: qt6-webengine-dev-tools

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq (riscv64, $(DEB_HOST_ARCH))
	# FIXME: qt6-webengine does not build on riscv64 with GCC as it
	# complains about a misused '%c' asm variable, so we chose to use
	# Clang as a workaround, however it does not support the
	# -ffat-lto-objects option as defined by optimize=+lto.
	#
	# Disable LTO for riscv64 as a secondary workaround.
	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
else
	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
endif

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
endif

# Reduce memory consumption & parallelism on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif

ifeq (i386, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif


%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js

ifeq (loong64, $(DEB_HOST_ARCH))
	TARGET_PATCH = patch_loong64
endif

ifeq (riscv64, $(DEB_HOST_ARCH))
	USE_CC = clang-17
	USE_CXX = clang++-17
else
	USE_CC = gcc
	USE_CXX = g++
endif

patch_loong64:
	patch -p1 < debian/patches/loong64.patch

override_dh_autoreconf: $(TARGET_PATCH)
	dh_autoreconf

override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

# Turn on system FFmpeg libraries for 6.3
override_dh_auto_configure:
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_icu=ON \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libopenjpeg2=ON \
		-DFEATURE_webengine_system_libpng=ON \
		-DFEATURE_webengine_system_libtiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON \
		-DCMAKE_C_COMPILER=/usr/bin/$(USE_CC) \
		-DCMAKE_CXX_COMPILER=/usr/bin/$(USE_CXX)

override_dh_auto_build:
	dh_auto_build -- WebEngineCore_sync_all_public_headers
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:

## qt6-webengine 6.7.2+dfsg

=== debian/changelog ===
qt6-webengine (6.7.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Let qt6-webengine-dev-tools depend on libqt6webengine6-data as
    convert-bdic depends on the data in libqt6webengine6-data (Closes:
    #1084251).

 -- Patrick Franz <deltaone@debian.org>  Mon, 07 Oct 2024 19:27:59 +0200

qt6-webengine (6.7.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:12:52 +0200

qt6-webengine (6.7.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 16:08:26 +0200

qt6-webengine (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 00:17:45 +0200

qt6-webengine (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Update list of files to be excluded from the tarball.
  * Refresh patches.
  * Bump Qt B-Ds to 6.7.2 and use the bundled ICU as the Debian version
    is too old.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:44:04 +0200

qt6-webengine (6.6.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Aug 2024 08:56:16 +0200

qt6-webengine (6.6.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-14 on armhf due to missing
    <algorithm> include.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Aug 2024 10:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
-               clang-17 [riscv64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
                flex,
@@ -25,7 +24,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev,
+#               libicu-dev, # re-enable once ICU 73.1 is available in sid
                libjpeg-dev,
                libjs-jquery,
                libjs-jquery-tablesorter,
@@ -67,20 +66,21 @@
                mesa-common-dev,
                ninja-build,
                nodejs,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-documentation-tools (>= 6.6~) <!nodoc>,
-               qt6-positioning-dev (>= 6.6.1~),
-               qt6-tools-dev (>= 6.6.1~),
-               qt6-webchannel-dev (>= 6.6.1~),
-               qt6-websockets-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-httpserver-dev (>= 6.7.2~),
+               qt6-positioning-dev (>= 6.7.2~),
+               qt6-tools-dev (>= 6.7.2~),
+               qt6-webchannel-dev (>= 6.7.2~),
+               qt6-websockets-dev (>= 6.7.2~),
                re2c,
                ruby,
                xauth <!nocheck>,
@@ -92,8 +92,8 @@
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.6.1),
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Provides: qt6-webengine-private-abi (= 6.7.2),
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          sse3-support [amd64 i386],
@@ -110,7 +110,7 @@
  This package contains the Qt 6 WebEngine Core library.
 
 Package: libqt6pdf6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF library
@@ -122,7 +122,7 @@
  This package contains the Qt 6 PDF library.
 
 Package: libqt6pdfquick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -135,7 +135,7 @@
  This package contains the Qt 6 PDF Quick library.
 
 Package: libqt6pdfwidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF Widgets library
@@ -147,7 +147,7 @@
  This package contains the Qt 6 PDF Widgets library.
 
 Package: libqt6webenginecore6-bin
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -161,7 +161,7 @@
  This package contains the Qt 6 WebEngine Core binaries.
 
 Package: libqt6webenginequick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -175,7 +175,7 @@
  This package contains the Qt 6 WebEngine Quick library.
 
 Package: libqt6webenginewidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          ${misc:Depends},
@@ -191,8 +191,8 @@
  This package contains the Qt 6 WebEngine Widgets library.
 
 Package: libqt6webengine6-data
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Web content engine library - data
@@ -205,7 +205,7 @@
  This package contains the arch independent parts of Qt WebEngine libraries.
 
 Package: qt6-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF image format plugin
@@ -218,13 +218,13 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml6-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
-Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.6.1+dfsg~),
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Depends: qml6-module-qtquick (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-controls (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-templates (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-window (>= 6.6.2+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -237,7 +237,7 @@
  This package contains the Qt 6 Quick PDF QML module.
 
 Package: qml6-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -251,11 +251,11 @@
  This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.
 
 Package: qml6-module-qtwebengine-controlsdelegates
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6webenginequickdelegatesqml6
-Replaces: libqt6webenginequickdelegatesqml6
+Breaks: libqt6webenginequickdelegatesqml6,
+Replaces: libqt6webenginequickdelegatesqml6,
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 WebEngine Controls Delegates QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -268,7 +268,7 @@
  for Qt 6 Declarative.
 
 Package: qt6-webengine-dev
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webenginecore6 (= ${binary:Version}),
@@ -293,7 +293,7 @@
  using Qt WebEngine libraries.
 
 Package: qt6-webengine-private-dev
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
 Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
@@ -310,3 +310,9 @@
  Use at your own risk.
 
 Package: qt6-webengine-dev-tools
+Provides: convert-bdic,
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: foreign
+Section: devel
+Depends: libqt6webengine6-data (= ${source:Version}),
+         ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	# FIXME: qt6-webengine does not build on riscv64 with GCC as it
-	# complains about a misused '%c' asm variable, so we chose to use
-	# Clang as a workaround, however it does not support the
-	# -ffat-lto-objects option as defined by optimize=+lto.
-	#
-	# Disable LTO for riscv64 as a secondary workaround.
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
-else
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
 ifneq (,$(PARALLEL_OPTION))
@@ -37,24 +27,6 @@
 
 touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js
-
-ifeq (loong64, $(DEB_HOST_ARCH))
-	TARGET_PATCH = patch_loong64
-endif
-
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	USE_CC = clang-17
-	USE_CXX = clang++-17
-else
-	USE_CC = gcc
-	USE_CXX = g++
-endif
-
-patch_loong64:
-	patch -p1 < debian/patches/loong64.patch
-
-override_dh_autoreconf: $(TARGET_PATCH)
-	dh_autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -83,7 +55,7 @@
 	dh_auto_configure -- \
 		--log-level=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DFEATURE_webengine_system_icu=ON \
+		-DFEATURE_webengine_system_icu=OFF \ # re-enable once ICU 73.1 is available in sid
 		-DFEATURE_webengine_system_libevent=ON \
 		-DFEATURE_webengine_system_libopenjpeg2=ON \
 		-DFEATURE_webengine_system_libpng=ON \
@@ -92,12 +64,9 @@
 		-DFEATURE_qtpdf_widgets_build=ON \
 		-DFEATURE_qtpdf_quick_build=ON \
 		-DFEATURE_webengine_proprietary_codecs=ON \
-		-DFEATURE_webengine_kerberos=ON \
-		-DCMAKE_C_COMPILER=/usr/bin/$(USE_CC) \
-		-DCMAKE_CXX_COMPILER=/usr/bin/$(USE_CXX)
+		-DFEATURE_webengine_kerberos=ON
 
 override_dh_auto_build:
-	dh_auto_build -- WebEngineCore_sync_all_public_headers
 	dh_auto_build
 	dh_auto_build -- docs
